Package org.kie.internal.builder.conf

# Class ParallelRulesBuildThresholdOption

java.lang.Object
org.kie.internal.builder.conf.ParallelRulesBuildThresholdOption

All Implemented Interfaces:
  `Serializable`, `Option`, `SingleValueOption`, `KnowledgeBuilderOption`, `SingleValueKieBuilderOption`, `SingleValueRuleBuilderOption`

public class ParallelRulesBuildThresholdOption extends Object implements SingleValueRuleBuilderOption
A class for the parallel rules build threshold configuration.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static OptionKey<ParallelRulesBuildThresholdOption>`
  `KEY`
  `static final String`
  `PROPERTY_NAME`
  The property name for the parallel rules build threshold option

  ### Fields inherited from interface org.kie.internal.builder.conf.SingleValueRuleBuilderOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `static ParallelRulesBuildThresholdOption`
  `get(int parallelRulesBuildThreshold)`
  This is a factory method for this ParallelRulesBuildThresholdOption configuration.
  `int`
  `getParallelRulesBuildThreshold()`
  `String`
  `getPropertyName()`
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.kie.api.conf.Option

  `propertyName`

  ### Methods inherited from interface org.kie.internal.builder.conf.SingleValueRuleBuilderOption

  `type`

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    The property name for the parallel rules build threshold option
    See Also:
      - Constant Field Values

  - ### KEY

    public static OptionKey<ParallelRulesBuildThresholdOption> KEY

- ## Method Details

  - ### get

    public static ParallelRulesBuildThresholdOption get(int parallelRulesBuildThreshold)
    This is a factory method for this ParallelRulesBuildThresholdOption configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.
    Parameters:
      `vale` - the value of the parallel rules build threshold to be configured
    Returns:
      the actual type safe parallel rules build threshold configuration.

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`

  - ### getParallelRulesBuildThreshold

    public int getParallelRulesBuildThreshold()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`